Subject: Re: bug#10299: Emacs doesn't handle Unicode characters in keyboard layout on MS Windows

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Dec 2011 13:26:08 +0200

> Date: Fri, 16 Dec 2011 12:14:50 +0100
> From: Dani Moncayo <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> > I think I have a MSYS sh.exe somewhere in my path which caused the
> > build to fail if I didn't explicitly set SHELL.
> 
> Maybe if you try "mingw32-make" instead of "make", you will be able to
> build Emacs successfully (see
> http://lists.gnu.org/archive/html/emacs-devel/2011-12/msg00025.html)

If his make.exe reacts correctly to SHELL=cmd.exe, it is most probably
a MinGW Make, just renamed to make.exe.  (FWIW, my MinGW compiled Make
is also called make.exe.)